Packages - Bug #2575

Packaging Request # 2506 (in progress): arch introduced a base metapackage to replace the meta group
Housekeeping # 2549 (in progress): move non-systemd packages to [nonsystemd]

[avahi-openrc] Dependency errors when trying to upgrade with pacman

2019-12-04 08:56 PM - ThislsMyAccount

Status: fixed % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

As discussed in IRC, running ‘pacman -Syu’ gives the following errors:

Synchronizing package databases...
nonprism is up to date
libre is up to date
core is up to date
extra is up to date
community is up to date
nonsystemd is up to date
pcr is up to date
libre-multilib is up to date
multilib is up to date
pcr-multilib is up to date
Starting full system upgrade...
warning: polkit: local (0.116-3.nonsystemdl) is newer than extra (0.116-3)
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
installing dbus (1.12.16-3) breaks dependency 'dbus-openrc' required by avahi-openrc

Related issues:

Related to Packages - Bug #2804: dbus and dbus openrc clash while updating duplicate
History

#1 - 2019-12-04 10:51 PM - bill-auger

- Parent task set to #2549

- Assignee set to Megver83
- Description updated

- Subject changed from [Parabola OpenRC] Dependency errors when trying to upgrade with pacman to [avahi-openrc] Dependency errors when trying
to upgrade with pacman

i could not reproduce this

#2 - 2019-12-05 10:50 PM - Megver83

- Status changed from unconfirmed to not-a-bug

bill-auger wrote:

i could not reproduce this

Of course, because you probably have [nonsystemd] above all other repos, which is what ThislsMyAccount does not do. Newbie issues like this are
caused by their inexperience, not devs mistakes

closing

#3 - 2019-12-06 05:26 PM - bill-auger

i made the default pacman.conf more complete recently - that
https://labs.parabola.nu/users/1421

should help people put the repos in the right order, especially
when using octopi

https:/qit.parabola.nu/abslibre.git/tree/libre/pacman/pacman.conf.x86_64#n113

#4 - 2020-02-24 10:20 AM - jkjk2000

I'm having this issue too. | have nonsystemd above all the other repos. | have moved it to bottom once and tried just for the sake of it. no change. |
even tried "pacman -S nonsystemd/avahi-openrc". Still | get:

resolving dependencies...
looking for conflicting packages...

:: dbus and dbus-elogind are in conflict (libdbus). Remove dbus-elogind? [y/N]

| have installed from the latest openrc cli ISO just today and still having this issue. Everything is near default and a bare bones. Any idea to why this is
happening?

#5 - 2020-02-24 05:00 PM - Megver83
- Status changed from not-a-bug to fixed
jkjk2000 wrote:

I'm having this issue too. | have nonsystemd above all the other repos. | have moved it to bottom once and tried just for the sake of it. no change.
| even tried "pacman -S nonsystemd/avahi-openrc". Still | get:

[-]
| have installed from the latest openrc cli ISO just today and still having this issue. Everything is near default and a bare bones. Any idea to why
this is happening?

dbus-elogind is deprecated, use nonsystemd/dbus

| updated dbus, this issue is now solved

#6 - 2020-02-24 07:23 PM - jkjk2000

Thanks.

| did a "sudo pacman -Syu" but it was complaining that there is a dbus service already there. | did "sudo rc-update delete dbus" and then upgraded
and it's working fine. | actually got this when installing openrc-desktop and leafpad. | can install them fine now. So | can confirm it is fixed.

| think the OpenRC wiki page needs change. It has:

And restart with rc-service. Also make sure you are using dbus-elogind.

#7 - 2020-06-14 05:11 PM - bill-auger
- Related to Bug #2804: dbus and dbus openrc clash while updating added

#8 - 2020-06-15 02:17 AM - infinite_recursion

Unhashing the nonsystemd repo under /etc/pacman.conf solved this for me.
https://git.parabola.nu/abslibre.git/tree/libre/pacman/pacman.conf.x86_64#n113
https://wiki.parabola.nu/OpenRC
http://www.tcpdf.org

